Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.exceptions
Class NeurophException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.neuroph.core.exceptions.NeurophException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NeurophInputException, NeurophOutputException, VectorSizeMismatchException

    public class NeurophException

extends RuntimeException

Base exception type for Neuroph.

Author:
  jheaton
See Also:
  Serialized Form

Constructor Summary
`NeurophException()` Default constructor.
`NeurophException(String msg)` Construct a message exception.
`NeurophException(String msg, Throwable t)` Construct an exception that holds another exception.
`NeurophException(Throwable t)` Construct an exception that holds another exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NeurophException

    public NeurophException()

  Default constructor.

### NeurophException

    public NeurophException(String msg)

  Construct a message exception.

  Parameters:
    `msg` - The exception message.

### NeurophException

    public NeurophException(Throwable t)

  Construct an exception that holds another exception.

  Parameters:
    `t` - The other exception.

### NeurophException

    public NeurophException(String msg,
                            Throwable t)

  Construct an exception that holds another exception.

  Parameters:
    `msg` - A message.
    `t` - The other exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.